net.sf.jasperreports.export.parameters

## Interface ParameterResolver

- All Known Implementing Classes:
    ParameterOverriddenResolver, ParameterOverrideResolver

  Deprecated.
  To be removed.

      public interface ParameterResolver

  Version:
    $Id: ParameterResolver.java 6672 2013-11-04 18:46:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanParameter(JRExporterParameter parameter, java.lang.String property, boolean defaultValue)` Deprecated.
    `java.lang.Character` | `getCharacterParameter(JRExporterParameter parameter, java.lang.String property)` Deprecated.
    `float` | `getFloatParameter(JRExporterParameter parameter, java.lang.String property, float defaultValue)` Deprecated.
    `int` | `getIntegerParameter(JRExporterParameter parameter, java.lang.String property, int defaultValue)` Deprecated.
    `java.lang.String[]` | `getStringArrayParameter(JRExporterParameter parameter, java.lang.String propertyPrefix)` Deprecated.
    `java.lang.String` | `getStringParameter(JRExporterParameter parameter, java.lang.String property)` Deprecated.
    `java.lang.String` | `getStringParameterOrDefault(JRExporterParameter parameter, java.lang.String property)` Deprecated.

- - ### Method Detail

    - #### getStringParameter

          java.lang.String getStringParameter(JRExporterParameter parameter,
                                            java.lang.String property)

      Deprecated.

    - #### getStringArrayParameter

          java.lang.String[] getStringArrayParameter(JRExporterParameter parameter,
                                                   java.lang.String propertyPrefix)

      Deprecated.

    - #### getStringParameterOrDefault

          java.lang.String getStringParameterOrDefault(JRExporterParameter parameter,
                                                     java.lang.String property)

      Deprecated.

    - #### getBooleanParameter

          boolean getBooleanParameter(JRExporterParameter parameter,
                                    java.lang.String property,
                                    boolean defaultValue)

      Deprecated.

    - #### getIntegerParameter

          int getIntegerParameter(JRExporterParameter parameter,
                                java.lang.String property,
                                int defaultValue)

      Deprecated.

    - #### getFloatParameter

          float getFloatParameter(JRExporterParameter parameter,
                                java.lang.String property,
                                float defaultValue)

      Deprecated.

    - #### getCharacterParameter

          java.lang.Character getCharacterParameter(JRExporterParameter parameter,
                                                  java.lang.String property)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com